
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈java中异步多线程超时导致的服务异常_java / iVAN</title>

    <meta name="description" content="浅谈java中异步多线程超时导致的服务异常_java 在项目中为了提高大并发量时的性能稳定性,经常会使用到线程池来做多线程异步操作,多线程有2种,一种是实现runnable接口,这种没有返回值,一种是实现Callable接口,这种有返回值. 当其中一个线程超时的时候,理论上应该不 影响其他线程的执行结果,但是在项目中出现的问题表明一个线程阻塞,其他线程返回的接口都为空.其实是个很简单的问题,但是由于第一次碰到,还是想了一些时间的.很简单,就是因为阻塞的那个线 程没有释放,并发量一大,线程池数量就满了,所以其他线程都处于等待状态. 附上一段自己写的调">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈java中异步多线程超时导致的服务异常_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在项目中为了提高大并发量时的性能稳定性，经常会使用到线程池来做多线程异步操作，多线程有2种，一种是实现runnable接口，这种没有返回值，一种是实现Callable接口，这种有返回值。</p>
<p>当其中一个线程超时的时候，理论上应该不 影响其他线程的执行结果，但是在项目中出现的问题表明一个线程阻塞，其他线程返回的接口都为空。其实是个很简单的问题，但是由于第一次碰到，还是想了一些时间的。很简单，就是因为阻塞的那个线</p>
<p>程没有释放，并发量一大，线程池数量就满了，所以其他线程都处于等待状态。</p>
<p>附上一段自己写的调试代码，当想不出问题的时候，自己模拟的写写，说不定问题就出来了。</p>
<pre>
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

public class FutureTest
{

  public static void main(String[] args) throws InterruptedException,
    ExecutionException, TimeoutException
  {

    final ExecutorService exec = Executors.newFixedThreadPool(1);

    Callable&lt;String&gt; call = new Callable&lt;String&gt;() {
      public String call() throws InterruptedException
      {
        // 开始执行耗时操作
          Thread.sleep(1000 * 2);
        return "1线程执行完成.";
      }
    };

    Callable&lt;String&gt; call2 = new Callable&lt;String&gt;() {
      public String call() throws Exception
      {
        // 开始执行耗时操作
        // Thread.sleep(1000 * 5);
        return "2线程执行完成.";
      }
    };

    Callable&lt;String&gt; call3 = new Callable&lt;String&gt;() {
      public String call() throws Exception
      {
        // 开始执行耗时操作
        // Thread.sleep(1000 * 5);
        return "3线程执行完成.";
      }
    };

    Future&lt;String&gt; future = exec.submit(call);
    Future&lt;String&gt; future3 = exec.submit(call3);
     Future&lt;String&gt; future2 = exec.submit(call2);
      String obj="";
      String obj2 ="";
      String obj3 ="";
      try{
       obj = future.get(500, TimeUnit.MILLISECONDS); // 任务处理超时时间设为
      }// 1 秒
      catch(Exception e){
        System.out.println("处理超时啦....");
        e.printStackTrace();
      }

      try{
        obj3 = future3.get(3000, TimeUnit.MILLISECONDS); // 任务处理超时时间设为
        }// 1 秒
        catch(Exception e){
          System.out.println("处理超时啦....");
          e.printStackTrace();
        }

      try{
       obj2 = future2.get(3000, TimeUnit.MILLISECONDS);}
      catch(Exception e){
        System.out.println("处理超时啦....");
        e.printStackTrace();
      }
      System.out.println("3任务成功返回:" + obj3);
      System.out.println("2任务成功返回:" + obj2);
      System.out.println("1任务成功返回:" + obj);
      exec.shutdown();
    }
}</pre>
<p>以上就是小编为大家带来的浅谈java中异步多线程超时导致的服务异常全部内容了，希望大家多多支持~</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java异步多线程<br />
                                    异步和多线程的区别、异步 多线程、java多线程异步处理、c 多线程 异步、java多线程异步调用，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 12:08:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java%e5%bc%82%e6%ad%a5%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="java异步多线程">java异步多线程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈java中异步多线程超时导致的服务异常_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWDPGz.html" rel="bookmark">浅谈java中BigDecimal的equals与compareTo的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天在处理支付金额校验的时候出现了点问题,有个金额比较我用了BigDecimal的equals方法来比较两个金额是否相等,结果导致金额比较出现错误(比如3.0与3.00的比较等). [注:以下所讲都是以sun jdk 1.4.2版本为例,其他版本实现未必一致,请忽略] 首先看一下BigDecimal的equals方法: public boolean equals(Object x){ if (!(x instanceof BigDecimal)) return false; BigDecima			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL52dAz.html" rel="bookmark">浅谈Java中的四种引用方式的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				强引用.软引用.弱引用.虚引用的概念 强引用(StrongReference) 强引用就是指在程序代码之中普遍存在的,比如下面这段代码中的object和str都是强引用: Object object = new Object(); String str = &quot;hello&quot;; 只要某个对象有强引用与之关联,JVM必定不会回收这个对象,即使在内存不足的情况下,JVM宁愿抛出OutOfMemory错误也不会回收这种对象. 比如下面这段代码: public class Main { publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0rwNp.html" rel="bookmark">浅谈Java中常用数据结构的实现类 Collection和Map&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线性表,链表,哈希表是常用的数据结构,在进行Java开发时,JDK已经为我们提供了一系列相应的类来实现基本的数据结构.这些类均在java.util包中.本文试图通过简单的描述,向读者阐述各个类的作用以及如何正确使用这些类. Collection ├List │├LinkedList │├ArrayList │└Vector │ └Stack └Set Map ├Hashtable ├HashMap └WeakHashMap Collection接口 Collection是最基本的集合接口,一个C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqdmOp.html" rel="bookmark">浅谈Java中的可变参数&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可变参数 可变参数就是一个方法可以接收任意多个参数!例如:fun().fun(1).fun(1,1).fun(1,1,1).你可能认为这是方法重载,但这不是重载,你想想重载能重载多少个方法,而fun()方法是可以传递任何个数的参数,你能重载这么多个方法么? 2.1 定义可变参数方法 public voidfun(int- arr) {} 上面方法fun()的参数类型为int-,其中&quot;-&quot;不是省略号,而是定义参数类型的方式.参数arr就是可变参数类型.你可以把上面代码理解为:public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAklVJz.html" rel="bookmark">浅谈Java中的final关键字与C&num;中的const&comma; readonly关键字&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编程语言中都有某种方式,告知编译器一块数据是恒定不变的.有两个需求 1. 一个永不改变的编译器常量 2. 一个在运行时被初始化的值,而这个值不会被改变 在Java中,使用final修饰变量实现这两个需求 &lt;pre name=&quot;code&quot; class=&quot;java&quot;&gt;//编译器常量 private final int valueOne = 9; private static final int VALUE_TWO = 99; public static f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZnAob.html" rel="bookmark">浅谈Java中强制类型转换的问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了更好的理解我们先看下面的例子: package com.yonyou.test; import java.util.ArrayList; import java.util.Iterator; import java.util.List; /** * 测试类 * @author * @创建日期 2016-5-31 */ public class Test{ public static void main(String[] args) { List&lt;String&gt; list=new Array			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRXW8qz.html" rel="bookmark">浅谈java中对集合对象list的几种循环访问&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java中对集合对象list的几种循环访问的总结如下  1 经典的for循环  public static void main(String[] args) { List&lt;String&gt; list = new ArrayList(); list.add(&quot;123&quot;); list.add(&quot;java&quot;); list.add(&quot;j2ee&quot;); System.out.println(&quot;=========经典的for循环======			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6AP9Ob.html" rel="bookmark">浅谈java中Math&period;random&lpar;&rpar;与java&period;util&period;random&lpar;&rpar;的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天突然想起来,java产生随机数的问题,上机试了一下,找到了一点区别,在这里总结一下: 直接调用Math.random()是产生一个[0,1)之间的随机数, 如果用 java.util.Random random=new Random();random.nextInt() 这样产生一个长整型的随机数并且与上一次是一样的,如果过一会再产生就不会一样了,例如: for (int i = 0; i &lt; 10; i++) { Random random=new Random(); Thread.sle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynL3lp.html" rel="bookmark">浅谈Java中的克隆close&lpar;&rpar;和赋值引用的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学生类Student: package 克隆clone; /*要克隆必须实现这个借口:Cloneable,以标记这个对象可以克隆 Cloneable:此类实现了 Cloneable 接口,以指示 Object.clone() 方法可以合法地对该类实例进行按字段复制. 这个接口是标记接口,告诉我们实现该接口的类就可以实现对象的复制了. */ public class Student implements Cloneable { private String name; private int ag			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyWLkz.html" rel="bookmark" class="title">关于tcp首部数据偏移的问题</a>
					<div>
						问题描述 关于tcp首部数据偏移的问题 书上说&quot;由于4位二进制数能够表示的最大十进制数是15,因此数据偏移的最大值是60字节,这也是TCP首部的最大长度(即选项长度不超过40字节)&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgJOAb.html" rel="bookmark" class="title">转载：java的文件对象操作</a>
					<div>
						对象                       java文 件对象操作 在 我 们 进 行 文 件 操 作 时, 需 要 知 道 一些关 于 文 件 的信 息.File类 提供了 一些 成 员 函  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqa0GM.html" rel="bookmark" class="title">Java异常处理－－不要忽略或遮掩异常</a>
					<div>
						异常处理 异常处理是Java的一个强大而实用的特性,使异常变得更加容易使用,但同时也使我们更不容易恰如其分的使用――&lt;Practical Java&gt; Java的异常由try/catch/f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQvlOM.html" rel="bookmark" class="title">利用JavaScript和CSS制作浮动menu</a>
					<div>
						css|javascript|浮动 随着INTERNET的高速发展,越来越多的人拥有了个人主页,但以往的静态HTML语言,已经不能满足人们的要求.javascript和多层模式表单(Cascading ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB9dJz.html" rel="bookmark" class="title">&period;NET基础知识－公共语言运行时</a>
					<div>
						   .NET提供了一个运行环境,叫做公共语言运行时(CLR).CLR管理代码的执行并使开发过程变得更加简单.CLR是一种受控的执行环境,其功能通过编译器与其他工具共同展现.以&quot;运行时&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMALQAb.html" rel="bookmark" class="title">凡是来送钱的我们都欢迎</a>
					<div>
						因家中有事,缺席了半个多月的5G评论,本周终于再次参与并主持了久违的5G白话. 本周嘉宾是一家成立刚刚半年,产品刚刚上线就已经拿下千万美金风投的新公司--唯一传媒. 唯一传媒从事的业务既传统也时髦,看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw188M.html" rel="bookmark" class="title">关于Oracle数据库中行迁移&sol;行链接的问题</a>
					<div>
						oracle|链接|数据|数据库|问题 一.行迁移/行链接的介绍 在实际的工作中我们经常会碰到一些Oracle数据库性能较低的问题,当然,引起Oracle数据库性能较低的原因是多方面的,我们能够通过一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvVO5M.html" rel="bookmark" class="title">再学GDI&plus;&lbrack;66&rsqb;&colon; 路径画刷&lpar;6&rpar;</a>
					<div>
						本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQk6M.html" rel="bookmark" class="title">PHP与MYSQL操作实例讲解</a>
					<div>
						网页中为什么要用到数据库? World Wide Web (WWW) 不仅仅是一个提供信息的地方.如果你有什么东西,作一个网站,同样可以和全世界的人一起分享.但是,这并不是一件很容易的事.当网站越做越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7knWZz.html" rel="bookmark" class="title">ASP&period;NET 2&period;0的跨页回调</a>
					<div>
						在ASP.NET2.0中,跨页提交允许把一个页面的回调回调提交到一个不同的网 页中.本文中我们将探索一些不同的跨页提交的方法.另,翻译的特别困难,请 各位朋友批评指正. ASP.NET1.1只提供了提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7n06M.html" rel="bookmark" class="title">光影魔术手怎么知道CCD有没有死点</a>
					<div>
						  光影魔术手想知道CCD有没有死点的方法很简单,盖住镜头盖拍摄一张全黑的照片,再对着白纸拍摄一张全白的照片,这两张照片,称为死点样片.如果CCD有死点,在黑色.白色为底色的照片上就很容易发现.需要注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR3y8z.html" rel="bookmark" class="title">十个必不可少的网络安全测试工具</a>
					<div>
						  安全漏洞似乎是司空见惯的新闻了,如某个公司或政府部门的网络安全受到破坏或渗透.如果您是一位安全专业人员,那么现在是时候更主动地应对安全问题了.多年以来,有很多人列出了最佳渗透测试和网络安全评估工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrBLZp.html" rel="bookmark" class="title">PPT2003轻松刻录演示多媒体光盘</a>
					<div>
						  PowerPoint 2003可以将演示文稿.播放器及相关的配置文件直接刻录到光盘上,制作成一个具有自动播放功能的光盘,携带和使用非常方便.本文让我们来一起体验其实现过程. 因不同电脑的软件配置各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7eNvb.html" rel="bookmark" class="title">驱动人生6官网全新改版！精准解决驱动问题</a>
					<div>
						  驱动人生自2007年成立以来,一直致力于为用户完美解决驱动问题.近期,驱动人生6官网全新改版,新增多元化驱动解决方案.这表明驱动人生6在为用户解决驱动问题方面又提升了一个层次. 键入地址:http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3qmOM.html" rel="bookmark" class="title">笔记本输入字母变成数字</a>
					<div>
						  使用笔记本电脑的朋友可能经常会遇到这样的情况:当我们在笔记本键盘上输入字母时,出现在屏幕上的的却是数字.出现这种&quot;输入字母变成数字&quot;的情况是怎么回事呢,我们又该如何解决? 其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8yaqp.html" rel="bookmark" class="title">电脑卡是什么原因？</a>
					<div>
						  电脑卡是什么原因?电脑卡怎么处理?电脑越来越卡的原因这里总结为以下主要几点: 一:电脑中病毒导致电脑越来越卡,有一种攻击可以使网络瘫痪,那就是成千上万次的重复访问!病毒就是这样,大量的在电脑中运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oONNb.html" rel="bookmark" class="title">Java中数组的创建与传参方法&lpar;学习小结&rpar;&lowbar;java</a>
					<div>
						(一)数组的创建 数组的创建包括两部分:数组的申明与分配内存空间. int score[]=null; //申明一维数组 score=new int[3]; //分配长度为3的空间 数组的申明还有另外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NRmBz.html" rel="bookmark" class="title">捕获开机启动事件后通过新线程注册ContentObserver后，仍然无法收到onChange的通知。请各位解答</a>
					<div>
						问题描述 简要介绍一下这个问题产生的原因,我要实现的功能:记录向外发送的短信内容.系统提供了接收短信的事件通知&quot;android.provider.Telephony.SMS_RECEIVED ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwOnKM.html" rel="bookmark" class="title">PLSQL显示乱码-无法进行中文条件查询解决</a>
					<div>
						PLSQL显示乱码-无法进行中文条件查询解决   原因:   PLSQL乱码问题皆是ORACLE服务端字符集编码与PLSQL端字符集编码不一致引起.类似乱码问题都可以从编码是否一致上面去考虑.   解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkQrDb.html" rel="bookmark" class="title">投票系统-asp&period;net mvc 在safari无法设置和读取cookie</a>
					<div>
						问题描述 asp.net mvc 在safari无法设置和读取cookie 最近做一个投票系统,需要用到cookie,在safari浏览器下 无法保存和获取cookie,其他浏览器都没有问题,浏览器已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKqNgb.html" rel="bookmark" class="title">java性能优化问题--如谁帮我看看</a>
					<div>
						问题描述 java性能优化问题--如谁帮我看看 1年轻代全满,老年代全满,survivor老是空-满--空--满--这种状态和正常理解的三个内存区的转换和作用有误啊.如何解释? 2另外这个图是否说明文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Qwnp.html" rel="bookmark" class="title">安装samba服务器</a>
					<div>
						首先理解以下概念: ftp:在内网和公网使用. 服务器端支持:windows,linux 客户端端支持:windows,linux samba:只能在内网使用,类似于windows的网络邻居(文件共享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKa1Db.html" rel="bookmark" class="title">个人经验：懂得分享才能进步得更快</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 做为站长,都知道交流的好处,交流中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgRykM.html" rel="bookmark" class="title">Scala入门到精通&mdash;&mdash;第二十一节 类型参数（三）-协变与逆变</a>
					<div>
						作者:摇摆少年梦 视频地址:http://www.xuetuwuyou.com/course/12 本节主要内容 协变 逆变 类型通匹符 1. 协变 协变定义形式如:trait List[+T] {} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRDQ2p.html" rel="bookmark" class="title">adt 打包-使用SDK和ant打包apk，高德地图的so文件打包不进apk，怎么解决啊</a>
					<div>
						问题描述 使用SDK和ant打包apk,高德地图的so文件打包不进apk,怎么解决啊 使用SDK和ant打包apk,高德地图的so文件打包不进apk,怎么解决啊 解决方案 人家的代码怎么能打包呢?提示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n4WJz.html" rel="bookmark" class="title">12306购票软件再曝漏洞</a>
					<div>
						今天,铁路http://www.aliyun.com/zixun/aggregation/1511.html&quot;&gt;12306购票软件再次被外界曝光存在安全漏洞,黄牛破解该漏洞后,一个人就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRNAZp.html" rel="bookmark" class="title">特斯拉2月份宣布巨资兴建超级电池工厂Gigafactory</a>
					<div>
						特斯拉2月份宣布巨资兴建超级电池工厂--Gigafactory.作为目前最火的电动汽车生产商,特斯拉试图把电动汽车核心之一的电池生产牢牢握在手中,其实很正常.不过似乎很多人不太看好这笔投资,觉得风险很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NDaVb.html" rel="bookmark" class="title">如何做JavaGUI桌面应用程序开发</a>
					<div>
						问题描述 如何做JavaGUI桌面应用程序开发 有没有好的办法将JavaGUI程序打包成独立的桌面应用程序? 解决方案 http://wenku.baidu.com/link?url=dkrbVbrt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO9r2b.html" rel="bookmark" class="title">关于静态页生成问题 突破form数量限制&lowbar;应用技巧</a>
					<div>
						我们知道生成静态页,一般用模板的方式,这个我是会的,现在我想直接将ASP文件生成的HTML代码存成静态页,这个非常适合做首页,于时我在网上找这方面的内容,找到这个:&lt;不用模板只用ASP+FSO生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAB6z.html" rel="bookmark" class="title">浪莎波司登对光伏许以重注 却遭遇开机即亏损</a>
					<div>
						市场急转直下,小型制造商濒临死去,过去数年烈日灼人的中国太阳能产业终于要品尝泡沫破裂的痛苦了,分水岭正在出现. 去年10月的时候,中国著名的织袜制造商浪莎集团的两位创始人-董事长翁荣金和总经理翁荣弟做 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
